Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genins.service
Interface GenInsService

All Known Implementing Classes:
  GenInsServiceImpl

    public interface GenInsService

GenInsService interface. Default impl : `GenInsServiceImpl` Factory : `ServiceFactory`

Method Summary
`GetInsurabilityResponse` | `getInsurability(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)` Method which call the web service getInsurability
`GetInsurabilityAsFlatResponse` | `getInsurabilityAsFlat(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)` Method which call the web service getInsurabilityAsFlat

Method Detail

### getInsurability

    GetInsurabilityResponse getInsurability(SAMLToken token,
                                            GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)
                                            throws GenInsBusinessConnectorException,
                                                   TechnicalConnectorException,
                                                   SessionManagementException

  Method which call the web service getInsurability

  Parameters:
    `token` -
    `getInsurabilityAsXmlOrFlatRequestType` -
  Returns:
    GetInsurabilityResponse object
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException` - the malformed url exception
    `SessionManagementException`

### getInsurabilityAsFlat

    GetInsurabilityAsFlatResponse getInsurabilityAsFlat(SAMLToken token,
                                                        GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)
                                                        throws GenInsBusinessConnectorException,
                                                               TechnicalConnectorException,
                                                               SessionManagementException

  Method which call the web service getInsurabilityAsFlat

  Parameters:
    `token` - the token
    `getInsurabilityAsXmlOrFlatRequestType` -
  Returns:
    GetInsurabilityAsFlatResponse object
  Throws:
    `GenInsBusinessConnectorException`
    `TechnicalConnectorException` - the malformed url exception
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.